> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Employer Invite Session

> Generates a new link for an existing employer onboarding invite

The generated onboarding link is only valid for 30 minutes, and it should be opened in the client's browser as it cannot be reused once activated. For asynchronous onboarding, use the send-email endpoint.


## OpenAPI

````yaml POST /v1/employer-identifiers/{employer_identifier}/invites/{invite}/session
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/employer-identifiers/{employer_identifier}/invites/{invite}/session:
    post:
      tags:
        - Invites
      summary: Creates a new session for an existing employer invite
      description: Generates a new link for an existing employer onboarding invite
      operationId: post-v1-employer-identifiers-employer-identifier-invites-invite-session
      parameters:
        - name: employer_identifier
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: ID of the employer identifier to create a new onboarding link for
        - name: invite
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: ID of the employer invite to retrieve
      responses:
        '200':
          description: Employer onboarding link created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  onboardingLink:
                    type: string
              example:
                onboardingLink: >-
                  https://secure.payrollintegrationsdemo.com/link?token=eyJhbGciOiJSUzI1NiIsImtpZCI6Ik1UY3pOVEkyTnpnNU1ERT0ifQ.eyJzdWIiOiI5ZjJhNGJjZC03ZThmLTQ1YWItYjkxMi1hYzNkZWY2NzhhOTAiLCJpc3MiOiJodHRwczpcL1wvY29nbml0by1pZHAudXMtd2VzdC0yLmFtYXpvbmF3cy5jb21cL3VzLXdlc3QtMl9TYW1wbGVQb29sIiwiY2xpZW50X2lkIjoiN2g4ajlrMGwxbTJuM280cDVxNnI3czh0OXUiLCJvcmlnaW5fanRpIjoiYjZjN2Q4ZTktZjBhMS00MmIzLThjZDQtZTVmNmE3YjhjOWQwIiwiZXZlbnRfaWQiOiJhNWI2YzdkOC1lOWYwLTQxYTItN2JjMy1kNGU1ZjZhN2I4YzkiLCJ0b2tlbl91c2UiOiJhY2Nlc3MiLCJzY29wZSI6ImF3cy5jb2duaXRvLnNpZ25pbi51c2VyLmFkbWluIiwiYXV0aF90aW1lIjoxNzAwMDAwMDAwLCJleHAiOjE3MDAwMDM2MDAsImlhdCI6MTcwMDAwMDAwMCwianRpIjoiYzFkMmUzZjQtZzVoNi00N2k4LTg5ajAtZGVmZ2gxMjM0aTU2IiwidXNlcm5hbWUiOiJzYW1wbGUtdXNlci03ZjhhOWJjZC0xZTJmLTNnNGgtNWk2ai03azhsOW0wbjFvMnAifQ.VGhpc0lzQVJhbmRvbVNpZ25hdHVyZVRoYXRJc05vdFZhbGlkQW5kU2hvdWxkTm90QmVVc2VkSW5Qcm9kdWN0aW9uRW52aXJvbm1lbnRzVGhpc0lzQU1vY2tFeGFtcGxlRm9yRG9jdW1lbnRhdGlvblB1cnBvc2VzT25seVBsZWFzZUdlbmVyYXRlWW91ck93blJlYWxUb2tlbkZyb21Db2duaXRvSW5Qcm9kdWN0aW9uRW52aXJvbm1lbnRzTm90VGhpc0V4YW1wbGU&plan=3
        '400':
          description: Onboarding already completed for this employer invite
        '403':
          description: User does not have permission to access the employer invite
        '404':
          description: Employer identifier or onboarding plan not found
components: {}

````